Skip to main content

Opera Multiple Vulnerabilities

Last Update Date: 28 Jan 2011 Release Date: 7 Apr 2008 4617 Views

RISK: Medium Risk

Multiple vulnerabilities have been identified in Opera, which could be exploited by remote attackers to cause a denial of service or take complete control of an affected system.

1. Due to an invalid memory access when handling newsfeed prompts, which could be exploited by attackers to crash an affected browser or execute arbitrary code by tricking a user into visiting a specially crafted web page.

2. Due to a memory corruption error when handling resized canvas patterns, which could be exploited by attackers to crash an affected browser or execute arbitrary code by tricking a user into visiting a specially crafted web page.


Impact

  • Denial of Service
  • Remote Code Execution

System / Technologies affected

  • Opera 5.x
  • Opera 6.x
  • Opera 7.x
  • Opera 8.x
  • Opera 9.x

Solutions

Before installation of the software, please visit the software manufacturer web-site for more details.


Vulnerability Identifier

  • No CVE information is available

Source


Related Link